LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
MailServiceProvider Service Reference

`import"MailServiceProvider.idl";`

Inheritance diagram for MailServiceProvider:

## Public Member Functions
| create ()
| Creation method. More...
Public Member Functions inherited from XMailServiceProvider
XMailService | create ([in] MailServiceType aType) raises (com::sun::star::mail::NoMailServiceProviderException, com::sun::star::uno::Exception)
| A factory method. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  OOo 2.0

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

Creation method.

See also
  com::sun::star::mail::XMailServiceProvider

The documentation for this service was generated from the following file:

- com/sun/star/mail/MailServiceProvider.idl